Subject: Re: linked list corruption/use after free on bonding unload.

From: Dave Jones <[email-masked]>
Date: Tue, 9 Apr 2013 15:42:51 -0400

On Tue, Apr 09, 2013 at 03:38:31PM -0400, David Miller wrote:
 > From: Dave Jones <[email-masked]>
 > Date: Tue, 9 Apr 2013 14:50:02 -0400
 > 
 > > Just hit this while doing a load/unload test of various modules.
 > > No bonding configuration had been set up, just the module loaded.
 > 
 > What tree?

v3.9-rc6-13-gf011a08

 > We recently had to revert a bonding "fix" and implement it differently.
 > So Linus's tree could cause this oops on bonding unload but 'net'
 > won't.

ah, sounds promising. I'll retest when your next push lands.

thanks,
	Dave